package com.jjt.calc.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;
import com.jjt.calc.mapper.TwinPanHeadInfoMapper;
import com.jjt.calc.domain.TwinPanHeadInfo;
import com.jjt.calc.service.ITwinPanHeadInfoService;
import javax.annotation.Resource;

/**
 * 设备盘头信息Service业务层处理
 *
 * @author wukai
 * @date 2025-01-18
 */
@Service
public class TwinPanHeadInfoServiceImpl implements ITwinPanHeadInfoService {
    @Resource
    private TwinPanHeadInfoMapper twinPanHeadInfoMapper;

    /**
     * 查询设备盘头信息
     *
     * @param infoId 设备盘头信息主键
     * @return 设备盘头信息
     */
    @Override
    public TwinPanHeadInfo selectTwinPanHeadInfoByInfoId(Long infoId) {
        return twinPanHeadInfoMapper.selectTwinPanHeadInfoByInfoId(infoId);
    }

    /**
     * 查询设备盘头信息列表
     *
     * @param twinPanHeadInfo 设备盘头信息
     * @return 设备盘头信息
     */
    @Override
    public List<TwinPanHeadInfo> selectTwinPanHeadInfoList(TwinPanHeadInfo twinPanHeadInfo) {
        return twinPanHeadInfoMapper.selectTwinPanHeadInfoList(twinPanHeadInfo);
    }

    /**
     * 新增设备盘头信息
     *
     * @param twinPanHeadInfo 设备盘头信息
     * @return 结果
     */
    @Override
    public int insertTwinPanHeadInfo(TwinPanHeadInfo twinPanHeadInfo) {
            return twinPanHeadInfoMapper.insertTwinPanHeadInfo(twinPanHeadInfo);
    }

    /**
     * 修改设备盘头信息
     *
     * @param twinPanHeadInfo 设备盘头信息
     * @return 结果
     */
    @Override
    public int updateTwinPanHeadInfo(TwinPanHeadInfo twinPanHeadInfo) {
        return twinPanHeadInfoMapper.updateTwinPanHeadInfo(twinPanHeadInfo);
    }

    /**
     * 批量删除设备盘头信息
     *
     * @param infoIds 需要删除的设备盘头信息主键
     * @return 结果
     */
    @Override
    public int deleteTwinPanHeadInfoByInfoIds(Long[] infoIds) {
        return twinPanHeadInfoMapper.deleteTwinPanHeadInfoByInfoIds(infoIds);
    }

    /**
     * 删除设备盘头信息信息
     *
     * @param infoId 设备盘头信息主键
     * @return 结果
     */
    @Override
    public int deleteTwinPanHeadInfoByInfoId(Long infoId) {
        return twinPanHeadInfoMapper.deleteTwinPanHeadInfoByInfoId(infoId);
    }
}
